IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/36
Addresses2^92
/64 networks268,435,456
- Network
2001:9:d000::/36- First address
2001:9:d000::- Last address
2001:9:dfff:ffff:ffff:ffff:ffff:ffff- Addresses
- 4,951,760,157,141,521,099,596,496,896 (2^92)
- /64 networks (LANs)
- 268,435,456
- Full form
2001:0009:d000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
d.9.0.0.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:9:d000::/36 makes 256 subnets of /44.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:9:d000::/44 | 2001:9:d00f:ffff:ffff:ffff:ffff:ffff |
| 2 | 2001:9:d010::/44 | 2001:9:d01f:ffff:ffff:ffff:ffff:ffff |
| 3 | 2001:9:d020::/44 | 2001:9:d02f:ffff:ffff:ffff:ffff:ffff |
| 4 | 2001:9:d030::/44 | 2001:9:d03f:ffff:ffff:ffff:ffff:ffff |
| 5 | 2001:9:d040::/44 | 2001:9:d04f:ffff:ffff:ffff:ffff:ffff |
| 6 | 2001:9:d050::/44 | 2001:9:d05f:ffff:ffff:ffff:ffff:ffff |
| 7 | 2001:9:d060::/44 | 2001:9:d06f:ffff:ffff:ffff:ffff:ffff |
| 8 | 2001:9:d070::/44 | 2001:9:d07f:ffff:ffff:ffff:ffff:ffff |
| 9 | 2001:9:d080::/44 | 2001:9:d08f:ffff:ffff:ffff:ffff:ffff |
| 10 | 2001:9:d090::/44 | 2001:9:d09f:ffff:ffff:ffff:ffff:ffff |
| 11 | 2001:9:d0a0::/44 | 2001:9:d0af:ffff:ffff:ffff:ffff:ffff |
| 12 | 2001:9:d0b0::/44 | 2001:9:d0bf:ffff:ffff:ffff:ffff:ffff |
| 13 | 2001:9:d0c0::/44 | 2001:9:d0cf:ffff:ffff:ffff:ffff:ffff |
| 14 | 2001:9:d0d0::/44 | 2001:9:d0df:ffff:ffff:ffff:ffff:ffff |
| 15 | 2001:9:d0e0::/44 | 2001:9:d0ef:ffff:ffff:ffff:ffff:ffff |
| 16 | 2001:9:d0f0::/44 | 2001:9:d0ff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2001:9:d100::/44 | 2001:9:d10f:ffff:ffff:ffff:ffff:ffff |
| 18 | 2001:9:d110::/44 | 2001:9:d11f:ffff:ffff:ffff:ffff:ffff |
| 19 | 2001:9:d120::/44 | 2001:9:d12f:ffff:ffff:ffff:ffff:ffff |
| 20 | 2001:9:d130::/44 | 2001:9:d13f:ffff:ffff:ffff:ffff:ffff |
| 21 | 2001:9:d140::/44 | 2001:9:d14f:ffff:ffff:ffff:ffff:ffff |
| 22 | 2001:9:d150::/44 | 2001:9:d15f:ffff:ffff:ffff:ffff:ffff |
| 23 | 2001:9:d160::/44 | 2001:9:d16f:ffff:ffff:ffff:ffff:ffff |
| 24 | 2001:9:d170::/44 | 2001:9:d17f:ffff:ffff:ffff:ffff:ffff |
| 25 | 2001:9:d180::/44 | 2001:9:d18f:ffff:ffff:ffff:ffff:ffff |
| 26 | 2001:9:d190::/44 | 2001:9:d19f:ffff:ffff:ffff:ffff:ffff |
| 27 | 2001:9:d1a0::/44 | 2001:9:d1af:ffff:ffff:ffff:ffff:ffff |
| 28 | 2001:9:d1b0::/44 | 2001:9:d1bf:ffff:ffff:ffff:ffff:ffff |
| 29 | 2001:9:d1c0::/44 | 2001:9:d1cf:ffff:ffff:ffff:ffff:ffff |
| 30 | 2001:9:d1d0::/44 | 2001:9:d1df:ffff:ffff:ffff:ffff:ffff |
| 31 | 2001:9:d1e0::/44 | 2001:9:d1ef:ffff:ffff:ffff:ffff:ffff |
| 32 | 2001:9:d1f0::/44 | 2001:9:d1ff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2001:9:d200::/44 | 2001:9:d20f:ffff:ffff:ffff:ffff:ffff |
| 34 | 2001:9:d210::/44 | 2001:9:d21f:ffff:ffff:ffff:ffff:ffff |
| 35 | 2001:9:d220::/44 | 2001:9:d22f:ffff:ffff:ffff:ffff:ffff |
| 36 | 2001:9:d230::/44 | 2001:9:d23f:ffff:ffff:ffff:ffff:ffff |
| 37 | 2001:9:d240::/44 | 2001:9:d24f:ffff:ffff:ffff:ffff:ffff |
| 38 | 2001:9:d250::/44 | 2001:9:d25f:ffff:ffff:ffff:ffff:ffff |
| 39 | 2001:9:d260::/44 | 2001:9:d26f:ffff:ffff:ffff:ffff:ffff |
| 40 | 2001:9:d270::/44 | 2001:9:d27f:ffff:ffff:ffff:ffff:ffff |
| 41 | 2001:9:d280::/44 | 2001:9:d28f:ffff:ffff:ffff:ffff:ffff |
| 42 | 2001:9:d290::/44 | 2001:9:d29f:ffff:ffff:ffff:ffff:ffff |
| 43 | 2001:9:d2a0::/44 | 2001:9:d2af:ffff:ffff:ffff:ffff:ffff |
| 44 | 2001:9:d2b0::/44 | 2001:9:d2bf:ffff:ffff:ffff:ffff:ffff |
| 45 | 2001:9:d2c0::/44 | 2001:9:d2cf:ffff:ffff:ffff:ffff:ffff |
| 46 | 2001:9:d2d0::/44 | 2001:9:d2df:ffff:ffff:ffff:ffff:ffff |
| 47 | 2001:9:d2e0::/44 | 2001:9:d2ef:ffff:ffff:ffff:ffff:ffff |
| 48 | 2001:9:d2f0::/44 | 2001:9:d2ff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2001:9:d300::/44 | 2001:9:d30f:ffff:ffff:ffff:ffff:ffff |
| 50 | 2001:9:d310::/44 | 2001:9:d31f:ffff:ffff:ffff:ffff:ffff |
| 51 | 2001:9:d320::/44 | 2001:9:d32f:ffff:ffff:ffff:ffff:ffff |
| 52 | 2001:9:d330::/44 | 2001:9:d33f:ffff:ffff:ffff:ffff:ffff |
| 53 | 2001:9:d340::/44 | 2001:9:d34f:ffff:ffff:ffff:ffff:ffff |
| 54 | 2001:9:d350::/44 | 2001:9:d35f:ffff:ffff:ffff:ffff:ffff |
| 55 | 2001:9:d360::/44 | 2001:9:d36f:ffff:ffff:ffff:ffff:ffff |
| 56 | 2001:9:d370::/44 | 2001:9:d37f:ffff:ffff:ffff:ffff:ffff |
| 57 | 2001:9:d380::/44 | 2001:9:d38f:ffff:ffff:ffff:ffff:ffff |
| 58 | 2001:9:d390::/44 | 2001:9:d39f:ffff:ffff:ffff:ffff:ffff |
| 59 | 2001:9:d3a0::/44 | 2001:9:d3af:ffff:ffff:ffff:ffff:ffff |
| 60 | 2001:9:d3b0::/44 | 2001:9:d3bf:ffff:ffff:ffff:ffff:ffff |
| 61 | 2001:9:d3c0::/44 | 2001:9:d3cf:ffff:ffff:ffff:ffff:ffff |
| 62 | 2001:9:d3d0::/44 | 2001:9:d3df:ffff:ffff:ffff:ffff:ffff |
| 63 | 2001:9:d3e0::/44 | 2001:9:d3ef:ffff:ffff:ffff:ffff:ffff |
| 64 | 2001:9:d3f0::/44 | 2001:9:d3ff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2001:9:d400::/44 | 2001:9:d40f:ffff:ffff:ffff:ffff:ffff |
| 66 | 2001:9:d410::/44 | 2001:9:d41f:ffff:ffff:ffff:ffff:ffff |
| 67 | 2001:9:d420::/44 | 2001:9:d42f:ffff:ffff:ffff:ffff:ffff |
| 68 | 2001:9:d430::/44 | 2001:9:d43f:ffff:ffff:ffff:ffff:ffff |
| 69 | 2001:9:d440::/44 | 2001:9:d44f:ffff:ffff:ffff:ffff:ffff |
| 70 | 2001:9:d450::/44 | 2001:9:d45f:ffff:ffff:ffff:ffff:ffff |
| 71 | 2001:9:d460::/44 | 2001:9:d46f:ffff:ffff:ffff:ffff:ffff |
| 72 | 2001:9:d470::/44 | 2001:9:d47f:ffff:ffff:ffff:ffff:ffff |
| 73 | 2001:9:d480::/44 | 2001:9:d48f:ffff:ffff:ffff:ffff:ffff |
| 74 | 2001:9:d490::/44 | 2001:9:d49f:ffff:ffff:ffff:ffff:ffff |
| 75 | 2001:9:d4a0::/44 | 2001:9:d4af:ffff:ffff:ffff:ffff:ffff |
| 76 | 2001:9:d4b0::/44 | 2001:9:d4bf:ffff:ffff:ffff:ffff:ffff |
| 77 | 2001:9:d4c0::/44 | 2001:9:d4cf:ffff:ffff:ffff:ffff:ffff |
| 78 | 2001:9:d4d0::/44 | 2001:9:d4df:ffff:ffff:ffff:ffff:ffff |
| 79 | 2001:9:d4e0::/44 | 2001:9:d4ef:ffff:ffff:ffff:ffff:ffff |
| 80 | 2001:9:d4f0::/44 | 2001:9:d4ff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2001:9:d500::/44 | 2001:9:d50f:ffff:ffff:ffff:ffff:ffff |
| 82 | 2001:9:d510::/44 | 2001:9:d51f:ffff:ffff:ffff:ffff:ffff |
| 83 | 2001:9:d520::/44 | 2001:9:d52f:ffff:ffff:ffff:ffff:ffff |
| 84 | 2001:9:d530::/44 | 2001:9:d53f:ffff:ffff:ffff:ffff:ffff |
| 85 | 2001:9:d540::/44 | 2001:9:d54f:ffff:ffff:ffff:ffff:ffff |
| 86 | 2001:9:d550::/44 | 2001:9:d55f:ffff:ffff:ffff:ffff:ffff |
| 87 | 2001:9:d560::/44 | 2001:9:d56f:ffff:ffff:ffff:ffff:ffff |
| 88 | 2001:9:d570::/44 | 2001:9:d57f:ffff:ffff:ffff:ffff:ffff |
| 89 | 2001:9:d580::/44 | 2001:9:d58f:ffff:ffff:ffff:ffff:ffff |
| 90 | 2001:9:d590::/44 | 2001:9:d59f:ffff:ffff:ffff:ffff:ffff |
| 91 | 2001:9:d5a0::/44 | 2001:9:d5af:ffff:ffff:ffff:ffff:ffff |
| 92 | 2001:9:d5b0::/44 | 2001:9:d5bf:ffff:ffff:ffff:ffff:ffff |
| 93 | 2001:9:d5c0::/44 | 2001:9:d5cf:ffff:ffff:ffff:ffff:ffff |
| 94 | 2001:9:d5d0::/44 | 2001:9:d5df:ffff:ffff:ffff:ffff:ffff |
| 95 | 2001:9:d5e0::/44 | 2001:9:d5ef:ffff:ffff:ffff:ffff:ffff |
| 96 | 2001:9:d5f0::/44 | 2001:9:d5ff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2001:9:d600::/44 | 2001:9:d60f:ffff:ffff:ffff:ffff:ffff |
| 98 | 2001:9:d610::/44 | 2001:9:d61f:ffff:ffff:ffff:ffff:ffff |
| 99 | 2001:9:d620::/44 | 2001:9:d62f:ffff:ffff:ffff:ffff:ffff |
| 100 | 2001:9:d630::/44 | 2001:9:d63f:ffff:ffff:ffff:ffff:ffff |
| 101 | 2001:9:d640::/44 | 2001:9:d64f:ffff:ffff:ffff:ffff:ffff |
| 102 | 2001:9:d650::/44 | 2001:9:d65f:ffff:ffff:ffff:ffff:ffff |
| 103 | 2001:9:d660::/44 | 2001:9:d66f:ffff:ffff:ffff:ffff:ffff |
| 104 | 2001:9:d670::/44 | 2001:9:d67f:ffff:ffff:ffff:ffff:ffff |
| 105 | 2001:9:d680::/44 | 2001:9:d68f:ffff:ffff:ffff:ffff:ffff |
| 106 | 2001:9:d690::/44 | 2001:9:d69f:ffff:ffff:ffff:ffff:ffff |
| 107 | 2001:9:d6a0::/44 | 2001:9:d6af:ffff:ffff:ffff:ffff:ffff |
| 108 | 2001:9:d6b0::/44 | 2001:9:d6bf:ffff:ffff:ffff:ffff:ffff |
| 109 | 2001:9:d6c0::/44 | 2001:9:d6cf:ffff:ffff:ffff:ffff:ffff |
| 110 | 2001:9:d6d0::/44 | 2001:9:d6df:ffff:ffff:ffff:ffff:ffff |
| 111 | 2001:9:d6e0::/44 | 2001:9:d6ef:ffff:ffff:ffff:ffff:ffff |
| 112 | 2001:9:d6f0::/44 | 2001:9:d6ff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2001:9:d700::/44 | 2001:9:d70f:ffff:ffff:ffff:ffff:ffff |
| 114 | 2001:9:d710::/44 | 2001:9:d71f:ffff:ffff:ffff:ffff:ffff |
| 115 | 2001:9:d720::/44 | 2001:9:d72f:ffff:ffff:ffff:ffff:ffff |
| 116 | 2001:9:d730::/44 | 2001:9:d73f:ffff:ffff:ffff:ffff:ffff |
| 117 | 2001:9:d740::/44 | 2001:9:d74f:ffff:ffff:ffff:ffff:ffff |
| 118 | 2001:9:d750::/44 | 2001:9:d75f:ffff:ffff:ffff:ffff:ffff |
| 119 | 2001:9:d760::/44 | 2001:9:d76f:ffff:ffff:ffff:ffff:ffff |
| 120 | 2001:9:d770::/44 | 2001:9:d77f:ffff:ffff:ffff:ffff:ffff |
| 121 | 2001:9:d780::/44 | 2001:9:d78f:ffff:ffff:ffff:ffff:ffff |
| 122 | 2001:9:d790::/44 | 2001:9:d79f:ffff:ffff:ffff:ffff:ffff |
| 123 | 2001:9:d7a0::/44 | 2001:9:d7af:ffff:ffff:ffff:ffff:ffff |
| 124 | 2001:9:d7b0::/44 | 2001:9:d7bf:ffff:ffff:ffff:ffff:ffff |
| 125 | 2001:9:d7c0::/44 | 2001:9:d7cf:ffff:ffff:ffff:ffff:ffff |
| 126 | 2001:9:d7d0::/44 | 2001:9:d7df:ffff:ffff:ffff:ffff:ffff |
| 127 | 2001:9:d7e0::/44 | 2001:9:d7ef:ffff:ffff:ffff:ffff:ffff |
| 128 | 2001:9:d7f0::/44 | 2001:9:d7ff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2001:9:d800::/44 | 2001:9:d80f:ffff:ffff:ffff:ffff:ffff |
| 130 | 2001:9:d810::/44 | 2001:9:d81f:ffff:ffff:ffff:ffff:ffff |
| 131 | 2001:9:d820::/44 | 2001:9:d82f:ffff:ffff:ffff:ffff:ffff |
| 132 | 2001:9:d830::/44 | 2001:9:d83f:ffff:ffff:ffff:ffff:ffff |
| 133 | 2001:9:d840::/44 | 2001:9:d84f:ffff:ffff:ffff:ffff:ffff |
| 134 | 2001:9:d850::/44 | 2001:9:d85f:ffff:ffff:ffff:ffff:ffff |
| 135 | 2001:9:d860::/44 | 2001:9:d86f:ffff:ffff:ffff:ffff:ffff |
| 136 | 2001:9:d870::/44 | 2001:9:d87f:ffff:ffff:ffff:ffff:ffff |
| 137 | 2001:9:d880::/44 | 2001:9:d88f:ffff:ffff:ffff:ffff:ffff |
| 138 | 2001:9:d890::/44 | 2001:9:d89f:ffff:ffff:ffff:ffff:ffff |
| 139 | 2001:9:d8a0::/44 | 2001:9:d8af:ffff:ffff:ffff:ffff:ffff |
| 140 | 2001:9:d8b0::/44 | 2001:9:d8bf:ffff:ffff:ffff:ffff:ffff |
| 141 | 2001:9:d8c0::/44 | 2001:9:d8cf:ffff:ffff:ffff:ffff:ffff |
| 142 | 2001:9:d8d0::/44 | 2001:9:d8df:ffff:ffff:ffff:ffff:ffff |
| 143 | 2001:9:d8e0::/44 | 2001:9:d8ef:ffff:ffff:ffff:ffff:ffff |
| 144 | 2001:9:d8f0::/44 | 2001:9:d8ff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2001:9:d900::/44 | 2001:9:d90f:ffff:ffff:ffff:ffff:ffff |
| 146 | 2001:9:d910::/44 | 2001:9:d91f:ffff:ffff:ffff:ffff:ffff |
| 147 | 2001:9:d920::/44 | 2001:9:d92f:ffff:ffff:ffff:ffff:ffff |
| 148 | 2001:9:d930::/44 | 2001:9:d93f:ffff:ffff:ffff:ffff:ffff |
| 149 | 2001:9:d940::/44 | 2001:9:d94f:ffff:ffff:ffff:ffff:ffff |
| 150 | 2001:9:d950::/44 | 2001:9:d95f:ffff:ffff:ffff:ffff:ffff |
| 151 | 2001:9:d960::/44 | 2001:9:d96f:ffff:ffff:ffff:ffff:ffff |
| 152 | 2001:9:d970::/44 | 2001:9:d97f:ffff:ffff:ffff:ffff:ffff |
| 153 | 2001:9:d980::/44 | 2001:9:d98f:ffff:ffff:ffff:ffff:ffff |
| 154 | 2001:9:d990::/44 | 2001:9:d99f:ffff:ffff:ffff:ffff:ffff |
| 155 | 2001:9:d9a0::/44 | 2001:9:d9af:ffff:ffff:ffff:ffff:ffff |
| 156 | 2001:9:d9b0::/44 | 2001:9:d9bf:ffff:ffff:ffff:ffff:ffff |
| 157 | 2001:9:d9c0::/44 | 2001:9:d9cf:ffff:ffff:ffff:ffff:ffff |
| 158 | 2001:9:d9d0::/44 | 2001:9:d9df:ffff:ffff:ffff:ffff:ffff |
| 159 | 2001:9:d9e0::/44 | 2001:9:d9ef:ffff:ffff:ffff:ffff:ffff |
| 160 | 2001:9:d9f0::/44 | 2001:9:d9ff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2001:9:da00::/44 | 2001:9:da0f:ffff:ffff:ffff:ffff:ffff |
| 162 | 2001:9:da10::/44 | 2001:9:da1f:ffff:ffff:ffff:ffff:ffff |
| 163 | 2001:9:da20::/44 | 2001:9:da2f:ffff:ffff:ffff:ffff:ffff |
| 164 | 2001:9:da30::/44 | 2001:9:da3f:ffff:ffff:ffff:ffff:ffff |
| 165 | 2001:9:da40::/44 | 2001:9:da4f:ffff:ffff:ffff:ffff:ffff |
| 166 | 2001:9:da50::/44 | 2001:9:da5f:ffff:ffff:ffff:ffff:ffff |
| 167 | 2001:9:da60::/44 | 2001:9:da6f:ffff:ffff:ffff:ffff:ffff |
| 168 | 2001:9:da70::/44 | 2001:9:da7f:ffff:ffff:ffff:ffff:ffff |
| 169 | 2001:9:da80::/44 | 2001:9:da8f:ffff:ffff:ffff:ffff:ffff |
| 170 | 2001:9:da90::/44 | 2001:9:da9f:ffff:ffff:ffff:ffff:ffff |
| 171 | 2001:9:daa0::/44 | 2001:9:daaf:ffff:ffff:ffff:ffff:ffff |
| 172 | 2001:9:dab0::/44 | 2001:9:dabf:ffff:ffff:ffff:ffff:ffff |
| 173 | 2001:9:dac0::/44 | 2001:9:dacf:ffff:ffff:ffff:ffff:ffff |
| 174 | 2001:9:dad0::/44 | 2001:9:dadf:ffff:ffff:ffff:ffff:ffff |
| 175 | 2001:9:dae0::/44 | 2001:9:daef:ffff:ffff:ffff:ffff:ffff |
| 176 | 2001:9:daf0::/44 | 2001:9:daff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2001:9:db00::/44 | 2001:9:db0f:ffff:ffff:ffff:ffff:ffff |
| 178 | 2001:9:db10::/44 | 2001:9:db1f:ffff:ffff:ffff:ffff:ffff |
| 179 | 2001:9:db20::/44 | 2001:9:db2f:ffff:ffff:ffff:ffff:ffff |
| 180 | 2001:9:db30::/44 | 2001:9:db3f:ffff:ffff:ffff:ffff:ffff |
| 181 | 2001:9:db40::/44 | 2001:9:db4f:ffff:ffff:ffff:ffff:ffff |
| 182 | 2001:9:db50::/44 | 2001:9:db5f:ffff:ffff:ffff:ffff:ffff |
| 183 | 2001:9:db60::/44 | 2001:9:db6f:ffff:ffff:ffff:ffff:ffff |
| 184 | 2001:9:db70::/44 | 2001:9:db7f:ffff:ffff:ffff:ffff:ffff |
| 185 | 2001:9:db80::/44 | 2001:9:db8f:ffff:ffff:ffff:ffff:ffff |
| 186 | 2001:9:db90::/44 | 2001:9:db9f:ffff:ffff:ffff:ffff:ffff |
| 187 | 2001:9:dba0::/44 | 2001:9:dbaf:ffff:ffff:ffff:ffff:ffff |
| 188 | 2001:9:dbb0::/44 | 2001:9:dbbf:ffff:ffff:ffff:ffff:ffff |
| 189 | 2001:9:dbc0::/44 | 2001:9:dbcf:ffff:ffff:ffff:ffff:ffff |
| 190 | 2001:9:dbd0::/44 | 2001:9:dbdf:ffff:ffff:ffff:ffff:ffff |
| 191 | 2001:9:dbe0::/44 | 2001:9:dbef:ffff:ffff:ffff:ffff:ffff |
| 192 | 2001:9:dbf0::/44 | 2001:9:dbff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2001:9:dc00::/44 | 2001:9:dc0f:ffff:ffff:ffff:ffff:ffff |
| 194 | 2001:9:dc10::/44 | 2001:9:dc1f:ffff:ffff:ffff:ffff:ffff |
| 195 | 2001:9:dc20::/44 | 2001:9:dc2f:ffff:ffff:ffff:ffff:ffff |
| 196 | 2001:9:dc30::/44 | 2001:9:dc3f:ffff:ffff:ffff:ffff:ffff |
| 197 | 2001:9:dc40::/44 | 2001:9:dc4f:ffff:ffff:ffff:ffff:ffff |
| 198 | 2001:9:dc50::/44 | 2001:9:dc5f:ffff:ffff:ffff:ffff:ffff |
| 199 | 2001:9:dc60::/44 | 2001:9:dc6f:ffff:ffff:ffff:ffff:ffff |
| 200 | 2001:9:dc70::/44 | 2001:9:dc7f:ffff:ffff:ffff:ffff:ffff |
| 201 | 2001:9:dc80::/44 | 2001:9:dc8f:ffff:ffff:ffff:ffff:ffff |
| 202 | 2001:9:dc90::/44 | 2001:9:dc9f:ffff:ffff:ffff:ffff:ffff |
| 203 | 2001:9:dca0::/44 | 2001:9:dcaf:ffff:ffff:ffff:ffff:ffff |
| 204 | 2001:9:dcb0::/44 | 2001:9:dcbf:ffff:ffff:ffff:ffff:ffff |
| 205 | 2001:9:dcc0::/44 | 2001:9:dccf:ffff:ffff:ffff:ffff:ffff |
| 206 | 2001:9:dcd0::/44 | 2001:9:dcdf:ffff:ffff:ffff:ffff:ffff |
| 207 | 2001:9:dce0::/44 | 2001:9:dcef:ffff:ffff:ffff:ffff:ffff |
| 208 | 2001:9:dcf0::/44 | 2001:9:dcff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2001:9:dd00::/44 | 2001:9:dd0f:ffff:ffff:ffff:ffff:ffff |
| 210 | 2001:9:dd10::/44 | 2001:9:dd1f:ffff:ffff:ffff:ffff:ffff |
| 211 | 2001:9:dd20::/44 | 2001:9:dd2f:ffff:ffff:ffff:ffff:ffff |
| 212 | 2001:9:dd30::/44 | 2001:9:dd3f:ffff:ffff:ffff:ffff:ffff |
| 213 | 2001:9:dd40::/44 | 2001:9:dd4f:ffff:ffff:ffff:ffff:ffff |
| 214 | 2001:9:dd50::/44 | 2001:9:dd5f:ffff:ffff:ffff:ffff:ffff |
| 215 | 2001:9:dd60::/44 | 2001:9:dd6f:ffff:ffff:ffff:ffff:ffff |
| 216 | 2001:9:dd70::/44 | 2001:9:dd7f:ffff:ffff:ffff:ffff:ffff |
| 217 | 2001:9:dd80::/44 | 2001:9:dd8f:ffff:ffff:ffff:ffff:ffff |
| 218 | 2001:9:dd90::/44 | 2001:9:dd9f:ffff:ffff:ffff:ffff:ffff |
| 219 | 2001:9:dda0::/44 | 2001:9:ddaf:ffff:ffff:ffff:ffff:ffff |
| 220 | 2001:9:ddb0::/44 | 2001:9:ddbf:ffff:ffff:ffff:ffff:ffff |
| 221 | 2001:9:ddc0::/44 | 2001:9:ddcf:ffff:ffff:ffff:ffff:ffff |
| 222 | 2001:9:ddd0::/44 | 2001:9:dddf:ffff:ffff:ffff:ffff:ffff |
| 223 | 2001:9:dde0::/44 | 2001:9:ddef:ffff:ffff:ffff:ffff:ffff |
| 224 | 2001:9:ddf0::/44 | 2001:9:ddff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2001:9:de00::/44 | 2001:9:de0f:ffff:ffff:ffff:ffff:ffff |
| 226 | 2001:9:de10::/44 | 2001:9:de1f:ffff:ffff:ffff:ffff:ffff |
| 227 | 2001:9:de20::/44 | 2001:9:de2f:ffff:ffff:ffff:ffff:ffff |
| 228 | 2001:9:de30::/44 | 2001:9:de3f:ffff:ffff:ffff:ffff:ffff |
| 229 | 2001:9:de40::/44 | 2001:9:de4f:ffff:ffff:ffff:ffff:ffff |
| 230 | 2001:9:de50::/44 | 2001:9:de5f:ffff:ffff:ffff:ffff:ffff |
| 231 | 2001:9:de60::/44 | 2001:9:de6f:ffff:ffff:ffff:ffff:ffff |
| 232 | 2001:9:de70::/44 | 2001:9:de7f:ffff:ffff:ffff:ffff:ffff |
| 233 | 2001:9:de80::/44 | 2001:9:de8f:ffff:ffff:ffff:ffff:ffff |
| 234 | 2001:9:de90::/44 | 2001:9:de9f:ffff:ffff:ffff:ffff:ffff |
| 235 | 2001:9:dea0::/44 | 2001:9:deaf:ffff:ffff:ffff:ffff:ffff |
| 236 | 2001:9:deb0::/44 | 2001:9:debf:ffff:ffff:ffff:ffff:ffff |
| 237 | 2001:9:dec0::/44 | 2001:9:decf:ffff:ffff:ffff:ffff:ffff |
| 238 | 2001:9:ded0::/44 | 2001:9:dedf:ffff:ffff:ffff:ffff:ffff |
| 239 | 2001:9:dee0::/44 | 2001:9:deef:ffff:ffff:ffff:ffff:ffff |
| 240 | 2001:9:def0::/44 | 2001:9:deff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2001:9:df00::/44 | 2001:9:df0f:ffff:ffff:ffff:ffff:ffff |
| 242 | 2001:9:df10::/44 | 2001:9:df1f:ffff:ffff:ffff:ffff:ffff |
| 243 | 2001:9:df20::/44 | 2001:9:df2f:ffff:ffff:ffff:ffff:ffff |
| 244 | 2001:9:df30::/44 | 2001:9:df3f:ffff:ffff:ffff:ffff:ffff |
| 245 | 2001:9:df40::/44 | 2001:9:df4f:ffff:ffff:ffff:ffff:ffff |
| 246 | 2001:9:df50::/44 | 2001:9:df5f:ffff:ffff:ffff:ffff:ffff |
| 247 | 2001:9:df60::/44 | 2001:9:df6f:ffff:ffff:ffff:ffff:ffff |
| 248 | 2001:9:df70::/44 | 2001:9:df7f:ffff:ffff:ffff:ffff:ffff |
| 249 | 2001:9:df80::/44 | 2001:9:df8f:ffff:ffff:ffff:ffff:ffff |
| 250 | 2001:9:df90::/44 | 2001:9:df9f:ffff:ffff:ffff:ffff:ffff |
| 251 | 2001:9:dfa0::/44 | 2001:9:dfaf:ffff:ffff:ffff:ffff:ffff |
| 252 | 2001:9:dfb0::/44 | 2001:9:dfbf:ffff:ffff:ffff:ffff:ffff |
| 253 | 2001:9:dfc0::/44 | 2001:9:dfcf:ffff:ffff:ffff:ffff:ffff |
| 254 | 2001:9:dfd0::/44 | 2001:9:dfdf:ffff:ffff:ffff:ffff:ffff |
| 255 | 2001:9:dfe0::/44 | 2001:9:dfef:ffff:ffff:ffff:ffff:ffff |
| 256 | 2001:9:dff0::/44 | 2001:9:dfff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |